<mat-drawer-container autosize>
  <mat-drawer #drawer class="example-sidenav" mode="side" opened (opened)="changeStyle()" (closed)="changeStyleClose()">
      <div class="left">
        <app-schedule-list (selectedItemChanged)="sendNewItemToView($event)"></app-schedule-list>
      </div>
  </mat-drawer>
    <div class="schedule-container">
      <div class="right">
        <button type="button" class="btn" (click)="drawer.toggle()">
          Lista grup
        </button>
        <app-schedule-top-bar (onSearch)="search($event)"></app-schedule-top-bar>
        <app-schedule-table [lectures]="lectures" [scheduleToView]="currentSchedule"></app-schedule-table>
      </div>
    </div>
</mat-drawer-container>
